MSK3TextInternal::LineZone Struct Reference

Internal: header zone. More...

## Public Member Functions

| LineZone ()
| the constructor More...
bool | isNote () const
| return true if this is a note More...
bool | isRuler () const
| return true if this is a tabs More...

## Public Attributes

int | m_type
| the type More...
MWAWEntry | m_pos
| the file position More...
int | m_id
| the id More...
int | m_flags
| the zone flags More...
int | m_height
| the height More...

## Friends

std::ostream & | operator<< (std::ostream &o, LineZone const &z)
| operator<< More...

## Detailed Description

Internal: header zone.

## Constructor & Destructor Documentation

MSK3TextInternal::LineZone::LineZone | ( |  | ) |

inline

the constructor

## Member Function Documentation

bool MSK3TextInternal::LineZone::isNote | ( |  | ) | const

inline

return true if this is a note

Referenced by MSK3Text::createZones(), MSK3Text::update(), and MSK3Text::updateNotes().

bool MSK3TextInternal::LineZone::isRuler | ( |  | ) | const

inline

return true if this is a tabs

Referenced by MSK3Text::updateNotes().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | LineZone const & | z
| ) |  |

friend

operator<<

## Member Data Documentation

int MSK3TextInternal::LineZone::m_flags

the zone flags

Referenced by MSK3Text::readZoneHeader(), and MSK3Text::update().

int MSK3TextInternal::LineZone::m_height

the height

Referenced by MSK3Text::readZoneHeader(), and MSK3Text::update().

int MSK3TextInternal::LineZone::m_id

the id

Referenced by MSK3Text::readZoneHeader().

MWAWEntry MSK3TextInternal::LineZone::m_pos

the file position

Referenced by MSK3Text::createZones(), MSK3Text::readParagraph(), MSK3Text::readZoneHeader(), MSK3Text::sendText(), and MSK3Text::updateNotes().

int MSK3TextInternal::LineZone::m_type

the type

Referenced by isNote(), isRuler(), MSK3Text::readZoneHeader(), and MSK3Text::send().

The documentation for this struct was generated from the following file:

- MSK3Text.cxx